libvisio::VSDOptionalThemeReference Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalThemeReference Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalThemeReference ()
| VSDOptionalThemeReference (const boost::optional< long > &lineColour, const boost::optional< long > &fillColour, const boost::optional< long > &shadowColour, const boost::optional< long > &fontColour)
| VSDOptionalThemeReference (const VSDOptionalThemeReference &themeRef)
| ~VSDOptionalThemeReference ()
void | override (const VSDOptionalThemeReference &themeRef)

## Public Attributes
boost::optional< long > | qsLineColour
boost::optional< long > | qsFillColour
boost::optional< long > | qsShadowColour
boost::optional< long > | qsFontColour

## Constructor & Destructor Documentation

## ◆ VSDOptionalThemeReference() [1/3]

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( |  | ) |
| inline

## ◆ VSDOptionalThemeReference() [2/3]

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( | const boost::optional< long > & | lineColour,
|  | const boost::optional< long > & | fillColour,
|  | const boost::optional< long > & | shadowColour,
|  | const boost::optional< long > & | fontColour
| ) |  |
| inline

## ◆ VSDOptionalThemeReference() [3/3]

libvisio::VSDOptionalThemeReference::VSDOptionalThemeReference | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

## ◆ ~VSDOptionalThemeReference()

libvisio::VSDOptionalThemeReference::~VSDOptionalThemeReference | ( |  | ) |
| inline

## Member Function Documentation

## ◆ override()

void libvisio::VSDOptionalThemeReference::override | ( | const VSDOptionalThemeReference & | themeRef | ) |
| inline

## Member Data Documentation

## ◆ qsFillColour

boost::optional<long> libvisio::VSDOptionalThemeReference::qsFillColour

Referenced by override(), and libvisio::VSDThemeReference::override().

## ◆ qsFontColour

boost::optional<long> libvisio::VSDOptionalThemeReference::qsFontColour

Referenced by override(), and libvisio::VSDThemeReference::override().

## ◆ qsLineColour

boost::optional<long> libvisio::VSDOptionalThemeReference::qsLineColour

Referenced by override(), and libvisio::VSDThemeReference::override().

## ◆ qsShadowColour

boost::optional<long> libvisio::VSDOptionalThemeReference::qsShadowColour

Referenced by override(), and libvisio::VSDThemeReference::override().

The documentation for this struct was generated from the following file:

- VSDStyles.h